Bug 252344 - QuickLunch regression: no ability to set icons size
Summary: QuickLunch regression: no ability to set icons size
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-quicklaunch (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Ingomar Wesp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-25 15:32 UTC by ultr
Modified: 2010-11-06 12:58 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ultr 2010-09-25 15:32:12 UTC
Version:           unspecified (using KDE 4.5.1) 
OS:                Linux

Version 4.5 lacks the feature KDE 4.4.x had.

The icons are now expanded to the maximum available space without an option to change this behavior.

This causes icons to get much wider as well, making them to take too much horizontal space of a panel.

Reproducible: Always
Comment 1 Ingomar Wesp 2010-10-19 17:24:45 UTC
In 4.6, the growth of the individual launcher icons will be limited by the global icon size settings (System Settings -> Application Appearance -> Icons -> Advanced -> Desktop / Panel respectively).

The patch is not yet in trunk as it depends on another patch to kdelibs that adds support for constraints in Plasma::IconWidget's sizeHint method 
(<http://reviewboard.kde.org/r/5580/>), which has not yet been green-lit.

If there are no objections, I will close this wish as soon as the patch goes in.
Comment 2 Ingomar Wesp 2010-11-06 12:58:29 UTC
SVN commit 1193575 by iwesp:

Allow for unevenly distributed row heights / column widths and respect the preferred size of the child items; this should better accomodate icons with varying text lengths and prevent icons from growing beyong their preferred size. Section count estimation is still overly pessimistic, however.

BUG: 252344
FIXED-IN: 4.6

 M  +142 -56   icongridlayout.cpp  
 M  +7 -7      icongridlayout.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1193575